%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                  Normsqresid.m
%                   Russell Luke
%  Department of MathSci, University of Delaware  
%                        and 
%  Inst. f. Num. u. Angew. Math., Universitaet Goettingen
%                    JUNE. 2, 2010  
%
%  This work was supported by NSF-DMS grant 0712796. 
%
%
% DESCRIPTION:
%   Computes the normsquared residual of the gradient or otherwise
%   vector-valued function.  
%
% INPUT: 
%
% OUTPUT:  
%
% USAGE:
% 
% SUBROUTINE CALLS: 
%      
%
function [f0,gradf0_vec] = ...
    Normsqresid(Scaler, History, Hessian_product, HessianT_product, ...
    dim, mem,maxmem, spsd, x_mat, gradf_mat, gradfnew_vec, alpha_0)

% disp('in Normsqresid'), keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  compute the norm-squared residual
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f0 = .5*(gradfnew_vec'*gradfnew_vec);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% approximate the gradient of the norm-squared residual
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if(mem>0)
    S_mat         = zeros(dim,mem);
    Y_mat         = zeros(dim,mem);
    [S_mat,Y_mat] = feval(History,dim,mem+1,x_mat(:,maxmem-mem:maxmem),gradf_mat(:,maxmem-mem:maxmem));
    delta         = feval(Scaler,dim,mem,S_mat,Y_mat,alpha_0);
    alpha         = alpha_0;% /delta;
    if(spsd>=0)
        gradf0_vec =  gradf_mat(:,maxmem);% ...
            % feval(Hessian_product,dim,mem,gradf_mat(:,maxmem), S_mat, Y_mat, delta,alpha);
    else
        gradf0_vec =  ...% gradf_mat(:,maxmem);%
            feval(HessianT_product,dim,mem,gradf_mat(:,maxmem), S_mat, Y_mat,delta,alpha);
        % which means I have to write a butt-load of Hessian_transpose
        % products.
    end
else
    % no information
    gradf0_vec = gradfnew_vec;
end
% clear variables to avoid memory leaks
clear Step_finder Scaler History Hessian_product invHessian_product
clear iter dim maxmem step_TOL c beta gamma
clear x_mat gradf_mat ngradf_vec tr
clear S_mat Y_mat

return
