%###########################################################
%            OPTIONS_tolerances
%	     Patrick C. Rowe
%	      Marco Bedolla
%	  Department of MathSci	        
%	  University of Delaware
%             June 10, 2009
%       
%  This work was supported by NSF-DMS grant 0712796.
%
% This file is designed to be manipulated by the user to communicate
% with the SAMSARA package. Any line beginning with an % is not read
% by the SAMSARA package. The use is as follows.
%
% The lines without exclamation points communicate with
% the SAMSARA package. The lines must be in the order
%
%  1. Gradient norm tolerance
%  2. Step size tolerance
%  3. Maximum number of iterations 
% 
% 
%###########################################################
%
% Gradient norm tolerance
%
% This is used as a stopping criteria for SAMSARA. It must be
% a real number greater than zero.
% 
ngrad_TOL = 1.0D-6;
% 
%
%###########################################################
% 
% Step size tolerance
% 
% This is used as a stopping criteria for SAMSARA. It must be
% a real number greater than zero.
%
step_TOL = 1.0D-12;
%
%
%###########################################################
% 
% Maximum number of iterations
%
% This is used as a stopping criteria for SAMSARA. It must be
% an integer greater than zero.
%     
Maxit = 1000;
