import matlab.engine
from numpy import abs, array, max

from .rosenbrock import Rosenbrock1000

EPS = 1e-10

eng = matlab.engine.start_matlab()
eng.addpath('../../../matlab/test_problems/Rosenbrock')


def test_Burke_func():
    for _ in range(100):
        x = eng.rand(1000, 1)
        f_mat, Jf_mat = eng.Rosenbrock1000(x, nargout=2)
        f_py, Jf_py = Rosenbrock1000(array(x).flatten())
        f_diff = array(f_mat).flatten() - f_py.flatten()
        Jf_diff = array(Jf_mat).flatten() - Jf_py.flatten()
        assert max(abs(f_diff)) < EPS and max(abs(Jf_diff)) < EPS
